List org group policy overrides

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.ap2.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.datadoghq.eu/api/v2/org_group_policy_overrideshttps://api.ddog-gov.com/api/v2/org_group_policy_overrideshttps://api.us2.ddog-gov.com/api/v2/org_group_policy_overrideshttps://api.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.us3.datadoghq.com/api/v2/org_group_policy_overrideshttps://api.us5.datadoghq.com/api/v2/org_group_policy_overrides

Overview

List policy overrides for an organization group. Requires a filter on org group ID. Optionally filter by policy ID. This endpoint requires the org_group_read permission.

Arguments

Query Strings

Name

Type

Description

filter[org_group_id] [required]

string

Filter policy overrides by org group ID.

filter[policy_id]

string

Filter policy overrides by policy ID.

page[number]

integer

The page number to return.

page[size]

integer

The number of items per page. Maximum is 1000.

sort

enum

Field to sort overrides by. Supported values: id, org_uuid, -id, -org_uuid. Defaults to id.
Allowed enum values: id, -id, org_uuid, -org_uuid

Response

OK

Response containing a list of org group policy overrides.

Expand All

Field

Type

Description

data [required]

[object]

An array of org group policy overrides.

attributes [required]

object

Attributes of an org group policy override.

content

object

The override content as key-value pairs.

created_at [required]

date-time

Timestamp when the override was created.

modified_at [required]

date-time

Timestamp when the override was last modified.

org_site [required]

string

The site of the organization that has the override.

org_uuid [required]

uuid

The UUID of the organization that has the override.

id [required]

uuid

The ID of the policy override.

relationships

object

Relationships of an org group policy override.

org_group

object

Relationship to a single org group.

data [required]

object

A reference to an org group.

id [required]

uuid

The ID of the org group.

type [required]

enum

Org groups resource type. Allowed enum values: org_groups

org_group_policy

object

Relationship to a single org group policy.

data [required]

object

A reference to an org group policy.

id [required]

uuid

The ID of the policy.

type [required]

enum

Org group policies resource type. Allowed enum values: org_group_policies

type [required]

enum

Org group policy overrides resource type. Allowed enum values: org_group_policy_overrides

links

object

Pagination links for navigating between pages of an org group list response.

first

string

Link to the first page.

last

string

Link to the last page.

next

string

Link to the next page.

prev

string

Link to the previous page.

self

string

Link to the current page.

meta

object

Pagination metadata for org group list responses.

page

object

Page-based pagination details for org group list responses.

first_number

int64

First page number.

last_number

int64

Last page number.

next_number

int64

Next page number.

number

int64

Page number.

prev_number

int64

Previous page number.

size

int64

Page size.

total

int64

Total number of results.

type

string

Pagination type.

{
  "data": [
    {
      "attributes": {
        "content": {},
        "created_at": "2024-01-15T10:30:00Z",
        "modified_at": "2024-01-15T10:30:00Z",
        "org_site": "us1",
        "org_uuid": "c3d4e5f6-a7b8-9012-cdef-012345678901"
      },
      "id": "9f8e7d6c-5b4a-3210-fedc-ba0987654321",
      "relationships": {
        "org_group": {
          "data": {
            "id": "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
            "type": "org_groups"
          }
        },
        "org_group_policy": {
          "data": {
            "id": "1a2b3c4d-5e6f-7890-abcd-ef0123456789",
            "type": "org_group_policies"
          }
        }
      },
      "type": "org_group_policy_overrides"
    }
  ],
  "links": {
    "first": "string",
    "last": "string",
    "next": "string",
    "prev": "string",
    "self": "string"
  },
  "meta": {
    "page": {
      "first_number": "integer",
      "last_number": "integer",
      "next_number": "integer",
      "number": "integer",
      "prev_number": "integer",
      "size": "integer",
      "total": "integer",
      "type": "number_size"
    }
  }
}

Bad Request

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Unauthorized

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Field

Type

Description

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Field

Type

Description

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Code Example

                  # Required query arguments
export filter[org_group_id]="a1b2c3d4-e5f6-7890-abcd-ef0123456789"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/org_group_policy_overrides?filter[org_group_id]=${filter[org_group_id]}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
List org group policy overrides returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_groups_api import OrgGroupsApi
from uuid import UUID

configuration = Configuration()
configuration.unstable_operations["list_org_group_policy_overrides"] = True
with ApiClient(configuration) as api_client:
    api_instance = OrgGroupsApi(api_client)
    response = api_instance.list_org_group_policy_overrides(
        filter_org_group_id=UUID("a1b2c3d4-e5f6-7890-abcd-ef0123456789"),
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
# List org group policy overrides returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_org_group_policy_overrides".to_sym] = true
end
api_instance = DatadogAPIClient::V2::OrgGroupsAPI.new
p api_instance.list_org_group_policy_overrides("a1b2c3d4-e5f6-7890-abcd-ef0123456789")

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
// List org group policy overrides returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListOrgGroupPolicyOverrides", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgGroupsApi(apiClient)
	resp, r, err := api.ListOrgGroupPolicyOverrides(ctx, uuid.MustParse("a1b2c3d4-e5f6-7890-abcd-ef0123456789"), *datadogV2.NewListOrgGroupPolicyOverridesOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgGroupsApi.ListOrgGroupPolicyOverrides`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgGroupsApi.ListOrgGroupPolicyOverrides`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
// List org group policy overrides returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgGroupsApi;
import com.datadog.api.client.v2.model.OrgGroupPolicyOverrideListResponse;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listOrgGroupPolicyOverrides", true);
    OrgGroupsApi apiInstance = new OrgGroupsApi(defaultClient);

    try {
      OrgGroupPolicyOverrideListResponse result =
          apiInstance.listOrgGroupPolicyOverrides(
              UUID.fromString("a1b2c3d4-e5f6-7890-abcd-ef0123456789"));
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OrgGroupsApi#listOrgGroupPolicyOverrides");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
// List org group policy overrides returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_groups::ListOrgGroupPolicyOverridesOptionalParams;
use datadog_api_client::datadogV2::api_org_groups::OrgGroupsAPI;
use uuid::Uuid;

#[tokio::main]
async fn main() {
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListOrgGroupPolicyOverrides", true);
    let api = OrgGroupsAPI::with_config(configuration);
    let resp = api
        .list_org_group_policy_overrides(
            Uuid::parse_str("a1b2c3d4-e5f6-7890-abcd-ef0123456789").expect("invalid UUID"),
            ListOrgGroupPolicyOverridesOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
/**
 * List org group policy overrides returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listOrgGroupPolicyOverrides"] = true;
const apiInstance = new v2.OrgGroupsApi(configuration);

const params: v2.OrgGroupsApiListOrgGroupPolicyOverridesRequest = {
  filterOrgGroupId: "a1b2c3d4-e5f6-7890-abcd-ef0123456789",
};

apiInstance
  .listOrgGroupPolicyOverrides(params)
  .then((data: v2.OrgGroupPolicyOverrideListResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"